ViewPager中的android.support.v4.app.FragmentManager和android.app.FragmentManager

家伙.

我为Android API 14及更高版本开发了一个应用程序,但我想使用Android支持库中的ViewPager.

ViewPager需要在构造函数中使用android.support.v4.app.FragmentManager的FragmentPagerAdapter.但在我的活动中,我显然只有android.app.FragmentManager,因为它们扩展了android.app.Activity(而不是android.support.v4.app.FragmentActivity).

有没有办法将android.app.FragmentManager转换为android.support.v4.app.FragmentManager?

从FragmentActivity扩展我的活动对我来说不是一个选择.

最佳答案
您必须使用v13支持库,其中包含使用普通FragmentManager的ViewPager 🙂

转载注明原文:ViewPager中的android.support.v4.app.FragmentManager和android.app.FragmentManager - 代码日志